#!/bin/bash
# ----------------------------------------------------------------------------
# /tmp/preinstall.sh - teamspeak3 preinstallation script
#
# Creation   : 2010-01-26 christian
# Last update: $Id: preinstall.sh 37 2010-08-04 11:08:54Z root $
#
# Copyright (c) 2010 the eisfair team, <team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

# include eislib
. /var/install/include/eislib

# set packages name
packageName=teamspeak3

# ----------------------------------------------------------------------------
# Read and confirm license. Otherwise break install
# ----------------------------------------------------------------------------
cd /
tar -xz --wildcards '*tmp/ts3LICENSE' -f /tmp/teamspeak3.tar.gz
mecho -info "You must read and confirm the LICENSE in order to install teamspeak3"
mecho
if /var/install/bin/ask "Read LICENSE now" "yes"
then
    fold /tmp/ts3LICENSE | less
    mecho
    mecho
fi
if /var/install/bin/ask "Do you accept the terms of LICENSE"
then
    mecho "OK, lets install"
    rm -f /tmp/ts3LICENSE
else
    mecho -error "Sorry, you dont't accept the terms of LICENSE,"
    mecho -error "so we can't install the package - aborted     "
    anykey
    rm -f /tmp/ts3LICENSE
    exit 1
fi


# ----------------------------------------------------------------------------
# Update system
# ----------------------------------------------------------------------------

if [ -f /var/install/deinstall/${packageName} ]
then
   sh /var/install/deinstall/${packageName} update
fi

exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------
